Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new FaultComponentFault by group

Prev Next
Post
/fault_component_faults/group_change/{task_id}/

Operation is used to create new FaultComponentFault to all faults related to task.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
task_id
integer (int64) Required

Task ID to which FaultComponentFault will be created

Body parameters

FaultComponentFault to be created

object

Information about FaultComponentFault group create

amount
integer Required

amount of components

component_id
integer Required

Id of component

Responses
201

created fault component fault data

[
  {
    "amount": 23,
    "component_id": 101
  },
  {
    "amount": 456,
    "component_id": 5
  }
]
object

Information about FaultComponentFault group create

amount
integer

amount of components

component_id
integer

Id of component

400

There was an error in request. Usually field validation failed.

{
  "rent": [
    "This field is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error